Package be.ehealth.businessconnector.therlink.domain

# Enum Class ProofTypeValues

java.lang.Object
java.lang.Enum<ProofTypeValues>
be.ehealth.businessconnector.therlink.domain.ProofTypeValues

All Implemented Interfaces:
  `Serializable`, `Comparable<ProofTypeValues>`, `java.lang.constant.Constable`

public enum ProofTypeValues extends Enum<ProofTypeValues>
The ProofType values

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EIDREADING`
  Eid reading proof
  `EIDSIGNING`
  Eid Signing proof Will read Eid card and launch GUI to ask for PIN code
  `ISIREADING`
  Sis reading proof

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ProofTypeValues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ProofTypeValues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EIDREADING

    public static final ProofTypeValues EIDREADING
    Eid reading proof

  - ### ISIREADING

    public static final ProofTypeValues ISIREADING
    Sis reading proof

  - ### EIDSIGNING

    public static final ProofTypeValues EIDSIGNING
    Eid Signing proof Will read Eid card and launch GUI to ask for PIN code

- ## Method Details

  - ### values

    public static ProofTypeValues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ProofTypeValues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Returns: